local _AddonName, _EchoRaidTools = ...;


local module = _EchoRaidTools:GetModule("todo-list")

local uid_counter = 0

function module.GenerateUid()
    uid_counter = uid_counter + 1
    local uid = string.format("%X-%X-%X", GetTime(), math.random(0, 0xFFFFFFF), uid_counter)
    return uid
end

function module:GenerateUidFromStateStructure(state)
    if not state then return end
    return module:Compress(state)
end
